%{?nodejs_find_provides_and_requires}

%global packagename commondir
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.0.1
Release: 1%{?dist}.3
Summary: Compute the closest common parent for file paths
License: MIT
URL: https://github.com/substack/node-commondir
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 3.5.0
%endif

%description
Compute the closest common parent directory among an array of directories.


%prep
%setup -q -n package
%nodejs_fixdep --dev tape '>=3.5.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%endif


%files
%license LICENSE
%doc *.markdown example/
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Sep 21 2016 Oleg Girko <ol@infoserver.lv> - 1.0.1-1
- Initial package.
